Create webhookPOST
Description
Create a new webhook.
Permissions
Request format
curl -X POST https://kanbanflow.com/api/v1/webhooks -H "Content-type: application/json" -d '{ "<PROPERTY_1>": <PROPERTY_VALUE_1>, "<PROPERTY_2>": <PROPERTY_VALUE_2>, ... "<PROPERTY_N>": <PROPERTY_VALUE_N> }'Example request
curl -X POST https://kanbanflow.com/api/v1/webhooks -H "Content-type: application/json" -d '{ "name": "My hook", "callbackUrl": "https://myserver.com/mycallback", "events": [{ "name": "taskCreated" }] }'Example response
{
"webhookId": "Wh45gJV2mDbEv",
"secret": "nfnY7Q2i8kJRteWsopSKVc9wkE4hTm"
}Valid properties
| Property | Type | Comment |
|---|---|---|
| name | String | The name of the webhook. |
| callbackUrl | String | Required. The URL that the webhook requests are sent to. Must start with https://. |
| events | Array | Required. The events that trigger the webhook. Valid event names: taskCreated, taskChanged, taskDeleted, taskCommentCreated, taskCommentChanged, taskCommentDeleted. At least one must be given. Example: [{ "name": "taskCreated" }, { "name": "taskChanged" }, { "name": "taskCommentCreated" }] |
| filter | Object | Filter on a specific column, swimlane and/or changes to certain properties. Examples: { "columnId": "C9LIn5sEEpqT" }, { "swimlaneId": "SqEB6zxG41e2" }, { "changedProperties": ["color", "totalSecondsSpent"] } |